#!/bin/bash

set -eu

MYDIR=$(dirname "$(readlink -f "$0")")

ITERATIONS=7
BENCHMARK=(/usr/sbin/john --format=bcrypt -test)
# Leave 1 CPU idle for other tasks.
MAX_WORKERS=$(( $(nproc --all) - 1 ))

for factor in {0..7}; do
    "$MYDIR"/benchmarker.sh cpulooper 1 "$factor" "$ITERATIONS" "$MYDIR"/cpulooper "${BENCHMARK[@]}"
    "$MYDIR"/benchmarker.sh memlooper 1 "$factor" "$ITERATIONS" "$MYDIR"/memlooper "${BENCHMARK[@]}"
    "$MYDIR"/benchmarker.sh cpulooper "$MAX_WORKERS" "$factor" "$ITERATIONS" "$MYDIR"/cpulooper "${BENCHMARK[@]}"
    "$MYDIR"/benchmarker.sh memlooper "$MAX_WORKERS" "$factor" "$ITERATIONS" "$MYDIR"/memlooper "${BENCHMARK[@]}"
done
